Subject: bug#18000: tar/gzip recognise ZIP mistake

From: Jonny Grant <[email-masked]>
Date: Fri, 11 Jul 2014 18:37:45 +0100

Hello

I'm not a member of this list, could you keep my email address in any
replies please.

I made a mistake, I did:

$ tar xvfz docs.zip
gzip: stdin has more than one entry--rest ignored
tar: Child returned status 2
tar: Error is not recoverable: exiting now

What I realised is that this error message is not that informative. I
can realise I made an obvious mistake, and should have used "unzip",
but other users might not?

Is there a way that gzip could recognise that there isn't a standard
GZIP header?

Regards, Jon